Class | GraphViz::Math::Matrix
In: | lib/graphviz/math/matrix.rb
Parent: | Object

### Methods

* - == [] []= column columns line lines matrix new remove_column remove_line sum_of_column sum_of_line to_a to_s transpose

### Public Class methods

new( line_or_array, column = 0, val = 0 )

### Public Instance methods

*(m)
-(m)
==(m)
[](line, column)
[]=( line, column, val )
column( column )
columns()
line( line )
lines()
matrix()
remove_column(n)
remove_line(n)
sum_of_column(n)
sum_of_line(n)
to_a()

Alias for matrix

to_s()
transpose()

[Validate]